
RADOS - Bug #24600

ValueError: too many values to unpack due to lack of subdir

06/21/2018 12:52 AM - Neha Ojha

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: mimic Component(RADOS):  

Regression: No Pull request ID:  

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

2018-05-23T16:04:21.799 ERROR:teuthology.run_tasks:Saw exception from tasks.

Traceback (most recent call last):

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/run_tasks.py", line 86

, in run_tasks

    manager = run_one_task(taskname, ctx=ctx, config=config)

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/run_tasks.py", line 65

, in run_one_task

    return task(**kwargs)

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/task/kernel.py", line 

1226, in task

    (role_remote,) = ctx.cluster.only(role).remotes.keys()

ValueError: too many values to unpack

 

http://pulpito.ceph.com/teuthology-2018-06-20_02:30:02-rados-mimic-distro-basic-smithi/2683087/

already fixed in master by https://github.com/ceph/ceph/pull/22195

needs to be backported to mimic

Related issues:

Copied to RADOS - Backport #24617: mimic: ValueError: too many values to unpa... Resolved

History

#1 - 06/21/2018 12:55 AM - Neha Ojha

- Project changed from CephFS to RADOS

#2 - 06/22/2018 08:41 AM - Nathan Cutler

- Copied to Backport #24617: mimic: ValueError: too many values to unpack due to lack of subdir added

#3 - 07/12/2018 07:38 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved
